Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy.container
Class ProxyTemplate

    java.lang.Object
      org.jboss.aop.proxy.container.ProxyTemplate

All Implemented Interfaces:
  AspectManaged, Delegate

public class ProxyTemplate
extends Object
implements Delegate, AspectManaged

Version:
  $Revision: 1.10 $
Author:
  Bill Burke

Field Summary
`protected Advisor` | `currentAdvisor`

Constructor Summary
`ProxyTemplate()`

Method Summary
`Advisor` | `getAdvisor()`
`Object` | `getDelegate()`
`InstanceAdvisor` | `getInstanceAdvisor()`
`void` | `setAdvisor(Advisor advisor)`
`void` | `setDelegate(Object delegate)`
`void` | `setInstanceAdvisor(InstanceAdvisor ia)`
`void` | `setMetadata(SimpleMetaData metadata)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentAdvisor

    protected volatile Advisor currentAdvisor

Constructor Detail

### ProxyTemplate

    public ProxyTemplate()

Method Detail

### getDelegate

    public Object getDelegate()

  Specified by:
    `getDelegate` in interface `Delegate`

### setDelegate

    public void setDelegate(Object delegate)

  Specified by:
    `setDelegate` in interface `Delegate`

### getAdvisor

    public Advisor getAdvisor()

  Specified by:
    `getAdvisor` in interface `AspectManaged`

### setAdvisor

    public void setAdvisor(Advisor advisor)

  Specified by:
    `setAdvisor` in interface `AspectManaged`

### setMetadata

    public void setMetadata(SimpleMetaData metadata)

  Specified by:
    `setMetadata` in interface `AspectManaged`

### setInstanceAdvisor

    public void setInstanceAdvisor(InstanceAdvisor ia)

  Specified by:
    `setInstanceAdvisor` in interface `AspectManaged`

### getInstanceAdvisor

    public InstanceAdvisor getInstanceAdvisor()

  Specified by:
    `getInstanceAdvisor` in interface `AspectManaged`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.